﻿using BTerrariaMod.Bards;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Terraria;
using System.Collections.Generic;

namespace BTerrariaMod.Tests
{
    
    
    /// <summary>
    ///This is a test class for DropBardTest and is intended
    ///to contain all DropBardTest Unit Tests
    ///</summary>
    [TestClass()]
    public class DropBardTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for DropBard Constructor
        ///</summary>
        [TestMethod()]
        public void DropBardConstructorTest()
        {
            string test = null;
            Action<string> output = s => test = s;
            DropBard target = new DropBard(output);
           
        }

        /// <summary>
        ///A test for AnnounceDrops
        ///</summary>
        [TestMethod()]
        public void AnnounceDropsTest()
        {
            Action<string> output = Console.WriteLine; 
            DropBard target = new DropBard(output); 
            IEnumerable<Item> items = null; 
            target.AnnounceDrops(items);

            
        }

        /// <summary>
        ///A test for isItemOfInterest
        ///</summary>
        [TestMethod()]
        public void isItemOfInterestTest()
        {
            
            DropBard_Accessor target = new DropBard_Accessor(Console.WriteLine);
            Item i = new Item();
            bool expected = false;
            bool actual;
            actual = target.IsItemOfInterest(i);
            Assert.AreEqual(expected, actual);
            
        }
    }
}
