﻿// ------------------------------------------------------------------------------
// <copyright file="StringExtensions.cs" company="MyCompany.com">
//  Copyright © MyCompany.com. All rights reserved.
// </copyright>
// <author>Me</author>
// ------------------------------------------------------------------------------

namespace BTerrariaMod.Sugar
{
    /// <summary>
    /// Provides extensions to the string class.
    /// </summary>
    public static class StringExtensions
    {
        /// <summary>
        /// Determines whether this instance is null or empty.
        /// </summary>
        /// <param name="t">The t.</param>
        /// <returns>
        ///   <c>true</c> if [is null or empty] [the specified t]; otherwise, <c>false</c>.
        /// </returns>
        public static bool IsNullOrEmpty(this string t)
        {
            return string.IsNullOrEmpty(t);
        }
    }
}