﻿// ------------------------------------------------------------------------------
// <copyright file="Messenger.cs" company="MyCompany.com">
//  Copyright © MyCompany.com. All rights reserved.
// </copyright>
// <author>Me</author>
// ------------------------------------------------------------------------------

namespace BTerrariaMod
{
    /// <summary>
    /// Message sending class.
    /// </summary>
    public class Messenger
    {
        /// <summary>
        /// Sends a text message to all users.
        /// </summary>
        /// <param name="text">The text.</param>
        public static void SendToAll(string text)
        {
            Terraria.NetMessage.SendData((int)Terraria_Server.Packet.PLAYER_CHAT, -1, -1, text, 255, 255, 240, 20, 0);
        }
    }
}